View Issue Details

IDProjectCategoryLast Update
0019116AI War 2[All Projects] SuggestionFeb 26, 2018 2:59 pm
ReporterBadgerBadgerAssigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.200 Decisive Battle 
Fixed in Version 
Summary0019116: Warning message when AI attacks a planet
DescriptionIt would be nice if there was a warning "AI forces are attacking Murdoch" when your planets were being attacked. Perhaps you could also tune the message based on the size of the enemy forces too; "An overwhelming AI force is attacking...", "The AI is raiding Murdoch", stuff like that.

This was probably on your TODO list anyway, but I like being able to track things.
TagsNo tags attached.

Relationships

related to 0019180 resolvedkeith.lamothe Audio warning triggers. 

Activities

x4000Bughunter

Jun 19, 2017 9:06 pm

administrator   ~0046309

Keith, this inspired a number of things that are now available as audio in 0019180.

Not sure if there should be a visual component as well.

BadgerBadger

Dec 6, 2017 11:28 pm

manager   ~0046617

This is much less of an issue now that Waves will warn you as to when/where they are coming in.

BadgerBadger

Feb 26, 2018 2:29 pm

manager   ~0047081

Note that hovering the Attack portion of the Resource bar will now list the planets under attack and the strength doing the attacking

x4000Bughunter

Feb 26, 2018 2:37 pm

administrator   ~0047087

Good point. I'll mark this as closed, then. Eric's latest GUI design adjusts this element pretty substantially, anyhow, but it's handled both then and now, apparently.

BadgerBadger

Feb 26, 2018 2:38 pm

manager   ~0047088

The only other thing that might be done is if we have a Message Board (like in AIWC) then we might put a "Planet Murdoch is under attack!" message in there as well.

x4000Bughunter

Feb 26, 2018 2:59 pm

administrator   ~0047089

That's more or less what he's got on there.

Issue History

Date Modified Username Field Change
May 18, 2017 9:05 am BadgerBadger New Issue
Jun 19, 2017 8:58 pm x4000Bughunter Assigned To => keith.lamothe
Jun 19, 2017 8:58 pm x4000Bughunter Status new => assigned
Jun 19, 2017 9:06 pm x4000Bughunter Note Added: 0046309
Jun 19, 2017 9:06 pm x4000Bughunter Relationship added related to 0019180
Dec 6, 2017 11:28 pm BadgerBadger Note Added: 0046617
Feb 26, 2018 2:28 pm x4000Bughunter Assigned To keith.lamothe => x4000Bughunter
Feb 26, 2018 2:29 pm BadgerBadger Note Added: 0047081
Feb 26, 2018 2:37 pm x4000Bughunter Assigned To x4000Bughunter => BadgerBadger
Feb 26, 2018 2:37 pm x4000Bughunter Status assigned => resolved
Feb 26, 2018 2:37 pm x4000Bughunter Resolution open => fixed
Feb 26, 2018 2:37 pm x4000Bughunter Note Added: 0047087
Feb 26, 2018 2:38 pm BadgerBadger Note Added: 0047088
Feb 26, 2018 2:59 pm x4000Bughunter Note Added: 0047089